<script setup lang="ts">
const {
  useMeta,
  useImg,
} = useResume();

// State pake useState biar persist antar halaman
const tasks = useState('tasks', () => [] as string[]);
const newTask = ref('');
const isDark = ref(false);

const addTask = () => {
  if (newTask.value) {
    tasks.value.push(newTask.value);
    newTask.value = '';
  }
};

const removeTask = (index: number) => {
  tasks.value.splice(index, 1);
};

// Inject Vercel Analytics
// inject('$va')?.track('pageview');

useMeta({
  title: "It's me Irfan | Personal Dashboard",
  description: 'My 5+ years of experience building web applications with PHP, JS, Laravel, Drupal, Vue, Nuxt, and Strapi make me a strong candidate for this senior web developer role',
  ogUrl: "https://www.hardiyanto.space/",
  ogImage: useImg('/images/logo.png'),
});
</script>

<template>
  <div class="relative w-full min-h-screen bg-card text-card-foreground p-8 border">
    <div class="flex justify-between mb-8">
      <h1 class="text-3xl font-bold dark:text-white">My Dashboard</h1>
      <Darkmode />
    </div>
    <div class="grid grid-cols-1 md:grid-cols-3 gap-6 mb-8">
      <Card>
        <CardHeader><CardTitle>Projects</CardTitle></CardHeader>
        <CardContent><p class="text-2xl">12</p></CardContent>
      </Card>
      <Card>
        <CardHeader><CardTitle>Skills</CardTitle></CardHeader>
        <CardContent><p class="text-2xl">8</p></CardContent>
      </Card>
      <Card>
        <CardHeader><CardTitle>Hours</CardTitle></CardHeader>
        <CardContent><p class="text-2xl">150</p></CardContent>
      </Card>
    </div>
    <div class="max-w-md mx-auto">
      <div class="flex gap-2 mb-4">
        <Input v-model="newTask" placeholder="Add a task" />
        <Button @click="addTask">Add</Button>
      </div>
      <ul class="space-y-2">
        <li v-for="(task, index) in tasks" :key="index" class="flex justify-between items-center dark:text-white">
          {{ task }}
          <Button variant="destructive" @click="removeTask(index)">Delete</Button>
        </li>
      </ul>
    </div>
  </div>
</template>